<bugID>786832<Summary>Load sources on the client in chunks based on how much is visible in the scripts pane</Summary><Description>Does this reduce jankiness? If it does, let's land it.

Proposed by Panos in bug 755661 comment 21.</Description></bugID>